Subject: Re: [bug#32287] [PATCH] Reproducible svn checkouts
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sun, 19 Aug 2018 17:52:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sun, 29 Jul 2018 15:59:03 +0200,
[email-masked] (Ludovic Courtès) a écrit :

> Hi Julien,
> 
> Julien Lepiller <[email-masked]> skribis:
> 
> > Some svn checkouts have sub-repositories that have their own .svn
> > folder. These folders contain timestamps, so this patch removes
> > every .svn folder in the result of the checkout, instead of only the
> > top-level one.  
> 
> Ouch, good catch.
> 
> Did you find packages that would trigger this issue?  We should
> somehow check all the packages that use ‘svn-fetch’ when we merge
> this patch, and update hashes as needed.
> 

No package in Guix trigger this issue, but I have a package definition
for JOSM that does. The patch doesn't change the content of sources
using svn-fetch we have, so there's nothing to worry about.

Pushed as dd1e45335e135fe724acece440782344ef8ca9fd in staging with
your suggestions. And now I wonder why I pushed to staging since it
doesn't change any existing package... too late I guess :)

Thank you!